Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class PrimitiveType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.ImmutableType
                  org.hibernate.type.PrimitiveType

All Implemented Interfaces:
  Serializable, LiteralType, Type

Direct Known Subclasses:
  BooleanType, ByteType, CharacterType, DoubleType, FloatType, IntegerType, LongType, ShortType

    public abstract class PrimitiveType

extends ImmutableType
implements LiteralType

Superclass of primitive / primitive wrapper types.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`PrimitiveType()`

Method Summary
`abstract Serializable` | `getDefaultValue()`
`abstract Class` | `getPrimitiveClass()`
`String` | `toString(Object value)`

Methods inherited from class org.hibernate.type.ImmutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, isDirty, isEqual, isEqual, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, set, setToXMLNode, sqlType, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getHashCode, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.LiteralType
`objectToSQLString`

Methods inherited from interface org.hibernate.type.Type
`getName, getReturnedClass`

Constructor Detail

### PrimitiveType

    public PrimitiveType()

Method Detail

### getPrimitiveClass

    public abstract Class getPrimitiveClass()

### toString

    public String toString(Object value)

  Specified by:
    `toString` in class `NullableType`

### getDefaultValue

    public abstract Serializable getDefaultValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD